> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get auditevents



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml get /auditevents
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /auditevents:
    get:
      tags:
        - AuditTrail
      operationId: fetchAuditEvents
      parameters:
        - $ref: '#/components/parameters/startTimestamp'
        - $ref: '#/components/parameters/endTimestamp'
        - $ref: '#/components/parameters/actorId'
        - $ref: '#/components/parameters/actorName'
        - $ref: '#/components/parameters/event'
        - $ref: '#/components/parameters/targetType'
        - $ref: '#/components/parameters/targetId'
        - $ref: '#/components/parameters/targetName'
        - $ref: '#/components/parameters/withinProjectId'
        - $ref: '#/components/parameters/withinProjectName'
        - $ref: '#/components/parameters/sort'
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/columns'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuditEventsResponse'
            text/csv:
              schema:
                type: string
          description: >-
            Provides audit events matching the specified filters and within the
            specified offset and limit
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad request
components:
  parameters:
    startTimestamp:
      description: unix timestamp in milliseconds
      in: query
      name: startTimestamp
      required: false
      schema:
        type: integer
    endTimestamp:
      description: unix timestamp in milliseconds
      in: query
      name: endTimestamp
      required: false
      schema:
        type: integer
    actorId:
      in: query
      name: actorId
      required: false
      schema:
        type: string
    actorName:
      in: query
      name: actorName
      required: false
      schema:
        type: string
    event:
      in: query
      name: event
      required: false
      schema:
        type: string
    targetType:
      description: all events in which the target's type matches
      example: dataset
      in: query
      name: targetType
      required: false
      schema:
        type: string
    targetId:
      description: all events in which the target's id matches
      example: dataset_id
      in: query
      name: targetId
      required: false
      schema:
        type: string
    targetName:
      description: all events in which the target's name matches
      example: my_dataset_name
      in: query
      name: targetName
      required: false
      schema:
        type: string
    withinProjectId:
      description: events that occurred within the context of a project with this id
      in: query
      name: withinProjectId
      required: false
      schema:
        type: string
    withinProjectName:
      description: events that occurred within the context of a project with this name
      in: query
      name: withinProjectName
      required: false
      schema:
        type: string
    sort:
      description: >-
        a comma separated list of fields, each prefixed with either a + or - to
        indicates asc or desc (no prefix defaults to asc). The list of supported
        sort fields are timestamp, actorId, actorName, withinProjectId,
        withinProjectName, event, targetType, and targetName
      example: '-timestamp,+actorId'
      in: query
      name: sort
      required: false
      schema:
        type: string
    limit:
      description: Maximum number of records to return.
      in: query
      name: limit
      required: false
      schema:
        default: 50
        format: int32
        type: integer
    offset:
      description: Zero-based; indicates how many events to skip over before
      in: query
      name: offset
      required: false
      schema:
        default: 0
        format: int32
        type: integer
    columns:
      description: >-
        the name of a column that should be included in the csv download. This
        parameter can be repeated to include multiple columns. The order in
        which the column names are provided dictates the order of the columns in
        the csv. This will cause a 400 if the Accept header is not csv or if the
        column name is unsupported
      example: date_time
      in: query
      name: column
      required: false
      schema:
        enum:
          - date_time
          - user_name
          - first_name
          - last_name
          - event
          - reason_for_change
          - reason_for_change_additional_info
          - electronically_signed
          - target_name
          - project_name
          - dataset_name
          - file_name
          - target_user
          - before_value
          - after_value
          - feature_flag
          - jobs
          - environment
          - workspace
        type: string
  schemas:
    AuditEventsResponse:
      properties:
        events:
          items:
            $ref: '#/components/schemas/AuditEvent'
          type: array
        total:
          type: integer
      required:
        - estimatedMatches
        - events
      type: object
    Error:
      allOf:
        - properties:
            errors:
              description: What caused the request to fail
              items:
                type: string
              type: array
            requestId:
              description: Id used to correlate a request with server actions.
              example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
              type: string
          required:
            - errors
    AuditEvent:
      properties:
        action:
          $ref: '#/components/schemas/Action'
        actor:
          $ref: '#/components/schemas/Actor'
        affecting:
          $ref: '#/components/schemas/Affecting'
        from:
          $ref: '#/components/schemas/Entity'
        in:
          $ref: '#/components/schemas/Entity'
        metadata:
          $ref: '#/components/schemas/StringStringMap'
        targets:
          $ref: '#/components/schemas/TargetList'
        timestamp:
          format: int64
          type: integer
        to:
          $ref: '#/components/schemas/Entity'
      required:
        - timestamp
        - actor
        - action
        - targets
        - affecting
        - metadata
      type: object
    Action:
      properties:
        eventName:
          type: string
        traceId:
          type: string
        using:
          $ref: '#/components/schemas/UsingList'
      required:
        - eventName
        - using
      type: object
    Actor:
      properties:
        id:
          type: string
        idpId:
          type: string
        name:
          type: string
      required:
        - id
    Affecting:
      items:
        $ref: '#/components/schemas/Entity'
      type: array
    Entity:
      properties:
        entityType:
          type: string
        id:
          type: string
        name:
          type: string
        tags:
          items:
            type: string
          type: array
      required:
        - entityType
        - tags
      type: object
    StringStringMap:
      additionalProperties:
        type: string
      type: object
    TargetList:
      items:
        $ref: '#/components/schemas/Target'
      type: array
    UsingList:
      items:
        $ref: '#/components/schemas/Entity'
      type: array
    Target:
      properties:
        entity:
          $ref: '#/components/schemas/Entity'
        fieldChanges:
          items:
            $ref: '#/components/schemas/PolymorphicFieldStateChange'
          type: array
      required:
        - entity
        - fieldChanges
    PolymorphicFieldStateChange:
      discriminator:
        mapping:
          scalar:
            $ref: '#/components/schemas/ScalarFieldStateChange'
          sequence:
            $ref: '#/components/schemas/SequenceFieldStateChange'
        propertyName: fieldType
      oneOf:
        - $ref: '#/components/schemas/ScalarFieldStateChange'
        - $ref: '#/components/schemas/SequenceFieldStateChange'
    ScalarFieldStateChange:
      allOf:
        - $ref: '#/components/schemas/FieldStateChange'
      properties:
        after:
          type: string
        before:
          type: string
        unit:
          type: string
    SequenceFieldStateChange:
      allOf:
        - $ref: '#/components/schemas/FieldStateChange'
      properties:
        added:
          items:
            $ref: '#/components/schemas/Entity'
          type: array
        removed:
          items:
            $ref: '#/components/schemas/Entity'
          type: array
    FieldStateChange:
      properties:
        fieldName:
          type: string
        fieldType:
          $ref: '#/components/schemas/FieldType'
      type: object
    FieldType:
      enum:
        - scalar
        - sequence
      type: string
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````